#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>
#include "syscall.h"

int
create(char *file, int mode, ulong perm)
{
	Syscallmem *c;

	c = _getsyscallmem();
	strcpy((char*)(&c[1]), file);
	c->arg[0] = 0;
	c->arg[1] = mode;
	c->arg[2] = perm;
	c->nr = Screate;
	return _dosyscall(c);
}

